import 'package:flutter/cupertino.dart';
import 'package:sk_base_mobile/app_theme.dart';
import 'package:sk_base_mobile/util/screen_adaper_util.dart';

class LoadingIndicator extends StatelessWidget {
  final bool animating;
  const LoadingIndicator({super.key, this.animating = true});

  @override
  Widget build(BuildContext context) {
    return CupertinoActivityIndicator(
      animating: animating,
      color: AppTheme.primaryColor,
      radius: ScreenAdaper.sp(20),
    );
  }
}
